Index: petgraph/Cargo.toml
===================================================================
--- petgraph.orig/Cargo.toml
+++ petgraph/Cargo.toml
@@ -42,7 +42,7 @@ default-features = false
 version = "1.0.2"
 
 [dependencies.quickcheck]
-version = "0.8"
+version = ">= 0.8, < 0.10"
 optional = true
 default-features = false
 
